FROM ubuntu:18.04

RUN apt-get update --fix-missing
RUN apt-get install -y \
vim \
python3 \
python3-pip \
sshfs \
curl \
locales

RUN pip3 install --upgrade pip

RUN pip3 install \
	lxml \
	pandas \
	sklearn \
	argparse \
	pyyaml \
	pathlib \
	flask \
	flask_cors \
	pymongo \
	flask-pymongo \
	gunicorn \
	SQLAlchemy \
	tqdm \
	psycopg2-binary

# Set the locale
RUN sed -i -e 's/# en_US.UTF-8 UTF-8/en_US.UTF-8 UTF-8/' /etc/locale.gen && \
    locale-gen
ENV LANG en_US.UTF-8  
ENV LANGUAGE en_US:en  
ENV LC_ALL en_US.UTF-8

ENV PYTHONIOENCODING UTF-8
